{namespace job=Drk\DrkJobboard\ViewHelpers}
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers" data-namespace-typo3-fluid="true">

<f:if condition="{pagination.paginator.paginatedItems -> f:count()}">
    <f:then>
        <f:for each="{pagination.paginator.paginatedItems}" as="job">
            <f:if condition="{settings.dontShowFutureJobs} == 1">
                <f:then>
                    <f:if
                        condition="{f:format.date(date: '{job.starttime}', format: 'Y-m-d')} <= {f:format.date(date: 'now' format: 'Y-m-d')}">
                        <f:then>
                            <f:render partial="Job/ListOfJobsItem" arguments="{job:job}"/>
                        </f:then>
                    </f:if>
                </f:then>
                <f:else>
                    <f:render partial="Job/ListOfJobsItem" arguments="{job:job}"/>
                </f:else>
            </f:if>
        </f:for>

        <f:render partial="Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator, actionName: 'list'}" />

    </f:then>
    <f:else>
        <f:render partial="Job/NewLink" arguments="{jobs:jobs}"/>
        <p>
            <f:translate key="nothing_found"/>
        </p>
    </f:else>
</f:if>
</html>
